<?php

Route::group(['domain'=>env('CHANNEL_DOMAIN'),'namespace'=>'App\Http\Controllers\Channel\OfficialAccount','prefix'=>'api','middleware'=>'ChannelApiAuth'],function(){

    /**
    * 公众号
    */

    //Route::group(['middleware'=>'ChannelOperateRecord'],function (){
        //获取公众号信息
        Route::any('OfficialAccount/officialAccountById', 'OfficialAccountsController@officialAccountById');

        //分销渠道ID获取服务号列表
        Route::any('OfficialAccount/allOfficialAccountBydistributionChannelId','OfficialAccountsController@allOfficialAccountBydistributionChannelId');

        //服务号授权返回URL
        Route::any('OfficialAccount/officialAccountAuthUrl','OfficialAccountsController@officialAccountAuthUrl');

        //更新公众号信息
        Route::any('OfficialAccount/updateOfficialAccount','OfficialAccountsController@updateOfficialAccount');
        // 获取短连接
        Route::any('OfficialAccount/getShortUrl','OfficialAccountsController@getShortUrl');


        /**
         * 客服
         */
        //获取客服二维码图片
        Route::any('OfficialAccount/customerImgUrlByChannelId','CustomMsgController@customerImgUrlByChannelId');
        //测试上传客服图片
        Route::any('OfficialAccount/uploadCustomerImgUrl', 'CustomMsgController@uploadCustomerImgUrl');

        //客服消息开关设置
        Route::any('OfficialAccount/customMsgSwitchSetting', 'CustomMsgController@customMsgSwitchSetting');
        //客服消息开关列表获取
        Route::any('OfficialAccount/customMsgSwitchsByChannelId', 'CustomMsgController@customMsgSwitchsByChannelId');
        //获取指定客服消息开关
        Route::any('OfficialAccount/customMsgSwitchsByChannelCate', 'CustomMsgController@customMsgSwitchsByChannelCate');

        //发送客服消息列表获取
        Route::any('OfficialAccount/customSendMsgsByChannelId', 'CustomMsgController@customSendMsgsByChannelId');
        //搜索客服消息列表
        Route::any('OfficialAccount/searchCustomSendMsgs', 'CustomMsgController@searchCustomSendMsgs');
        Route::any('OfficialAccount/exportCustomSendMsgs', 'CustomMsgController@exportCustomSendMsgs');

        //根据客服消息参数获取用户
        Route::any('OfficialAccount/forceUserCountByCustomPrams', 'CustomMsgController@forceUserCountByCustomPrams');
        //通过ID获取指定客服消息
        Route::any('OfficialAccount/customSendMsgsById', 'CustomMsgController@customSendMsgsById');
        //停止发送客服消息
        Route::any('OfficialAccount/stopCustomSendMsgsById', 'CustomMsgController@stopCustomSendMsgsById');
        //发送客服消息
        Route::any('OfficialAccount/addCustomSendMsgs', 'CustomMsgController@addCustomSendMsgs');
        //修改客服消息
        Route::any('OfficialAccount/editCustomSendMsgs', 'CustomMsgController@editCustomSendMsgs');
        //删除客服消息
        Route::any('OfficialAccount/delCustomSendMsgs', 'CustomMsgController@delCustomSendMsgs');
        //测试发送客服消息
        Route::any('OfficialAccount/testAddCustomSendMsgs', 'CustomMsgController@testAddCustomSendMsgs');

        //获取所有图库素材
        Route::any('OfficialAccount/getAllDocumentCovers', 'CustomMsgController@getAllDocumentCovers');
        //获取所有标签文案
        Route::any('OfficialAccount/getAllHeadlinesNoType', 'CustomMsgController@getAllHeadlinesNoType');

        //获取图文链接
        Route::any('OfficialAccount/createOfficialImgTxtUrl', 'CustomMsgController@createOfficialImgTxtUrl');
        //获取图文链接列表
        Route::any('OfficialAccount/getOfficialImgTxtUrl', 'CustomMsgController@getOfficialImgTxtUrl');
        //根据书籍名称获取图文链接列表
        Route::any('OfficialAccount/getOfficialImgTxtUrlByBookName', 'CustomMsgController@getOfficialImgTxtUrlByBookName');

        //删除图文链接
        Route::any('OfficialAccount/delOfficialImgTxtUrl', 'CustomMsgController@delOfficialImgTxtUrl');

        //微信转码二维码图片
        Route::any('OfficialAccount/uploadQrcodeImgToWechat', 'CustomMsgController@uploadQrcodeImgToWechat');
        //上传二维码图片到OSS
        Route::any('OfficialAccount/uploadQrcodeImgToOss', 'CustomMsgController@uploadQrcodeImgToOss');

        /**
         * 智能分析
         */

        //获取每日智能推送分析数据
        Route::any('OfficialAccount/customSendDayStatsByChannelAndFrom', 'CustomSendStatsController@customSendDayStatsByChannelAndFrom');
        //获取渠道下智能推送分析总数据
        Route::any('OfficialAccount/customSendStatsByChannelAndFrom', 'CustomSendStatsController@customSendStatsByChannelAndFrom');
        //获取渠道下智能推送菜单
        Route::any('OfficialAccount/customSendStatsFromTypes', 'CustomSendStatsController@customSendStatsFromTypes');



        /**
         * 模板消息
         */

        //获取模板
        Route::any('OfficialAccount/wechatTemplateByAppidAndCommonTemplateId', 'WechatTemplatesController@wechatTemplateByAppidAndCommonTemplateId');

        //根据模板消息参数获取用户
        Route::any('OfficialAccount/forceUserCountByTemplatePrams', 'WechatTemplatesController@forceUserCountByTemplatePrams');

        //停止发送模板消息
        Route::any('OfficialAccount/stopsSendWechatTemplate', 'WechatTemplatesController@stopsSendWechatTemplate');

        //通过ID获取模板
        Route::any('OfficialAccount/wechatTemplateMsgById', 'WechatTemplatesController@wechatTemplateMsgById');

        //更新模板消息任务状态
        Route::any('OfficialAccount/updateWechatTemplateStatus', 'WechatTemplatesController@updateWechatTemplateStatus');

        //更新模板消息
        Route::any('OfficialAccount/updateWechatTemplateMsgById', 'WechatTemplatesController@updateWechatTemplateMsgById');

        //删除模板消息
        Route::any('OfficialAccount/delWechatTemplateMsg', 'WechatTemplatesController@delWechatTemplateMsg');

        //得到要开通的模板消息列表
        Route::any('OfficialAccount/wechatPublicTemplateList', 'WechatPublicTemplatesController@wechatPublicTemplateList');

        //保存模板
        Route::any('OfficialAccount/addWechatTemplate', 'WechatTemplatesController@addWechatTemplate');

        //发送模板消息
        Route::any('OfficialAccount/addWechatTemplateMsg', 'WechatTemplatesController@addWechatTemplateMsg');

        //测试发送模板消息
        Route::any('OfficialAccount/testAddWechatTemplateMsg', 'WechatTemplatesController@testAddWechatTemplateMsg');

        //搜索模板消息
        Route::any('OfficialAccount/searchWechatTemplateMsg', 'WechatTemplatesController@searchWechatTemplateMsg');

        //导出模板消息
        Route::any('OfficialAccount/exportWechatTemplateMsg', 'WechatTemplatesController@exportWechatTemplateMsg');

        //测试RebitMQ
        Route::any('OfficialAccount/testRebitMQ', 'WechatTemplatesController@testRebitMQ');

        //个人测试发送模板消息
        Route::any('OfficialAccount/test_add_template_task', 'WechatTemplatesController@test_add_template_task');

        //获取推送模板消息
        Route::any('OfficialAccount/wechatTemplateMsgBydistributionChannelId', 'WechatTemplatesController@wechatTemplateMsgBydistributionChannelId');

        //检测模板消息状态并修复
        Route::any('OfficialAccount/checkTemplateStatus', 'WechatTemplatesController@checkTemplateStatus');
        
        
        /**
         * 关键字回复
         */

        //得到关键字消息列表
        Route::any('OfficialAccount/wechatKeywordMsgBydistributionChannelId', 'WechatKeywordsController@wechatKeywordMsgBydistributionChannelId');

        //通过ID获取关键字
        Route::any('OfficialAccount/wechatKeywordMsgById', 'WechatKeywordsController@wechatKeywordMsgById');

        //更新关键字消息
        Route::any('OfficialAccount/updateWechatKeywordMsg', 'WechatKeywordsController@updateWechatKeywordMsg');

        //更新关键字状态
        Route::any('OfficialAccount/updateWechatKeywordMsgStatus', 'WechatKeywordsController@updateWechatKeywordMsgStatus');

        //保存关键字
        Route::any('OfficialAccount/addWechatKeywordMsg', 'WechatKeywordsController@addWechatKeywordMsg');


        /**
         * 自定义智能推送
         */
        //通过id获取自定义智能推荐内容
        Route::any('OfficialAccount/smartPushMsgById', 'SmartPushsController@smartPushMsgById');
        //通过分类渠道性别获取自定义智能推送
        Route::any('OfficialAccount/smartPushByDistributionChannelIdAndCategorySex', 'SmartPushsController@smartPushByDistributionChannelIdAndCategorySex');
        //检测男女是否都编辑了
        Route::any('OfficialAccount/checkSexAllEdit', 'SmartPushsController@checkSexAllEdit');
        //添加自定义智能推送
        Route::any('OfficialAccount/addSmartPushMsg', 'SmartPushsController@addSmartPushMsg');
        //更新自定义智能推送
        Route::any('OfficialAccount/updateSmartPushMsg', 'SmartPushsController@updateSmartPushMsg');
        //});

        /**
         * 关注回复
         */
        Route::get('getSubReply', 'DistributionSelfDefineContentsController@getSubReply');
        Route::get('getSubReplyList', 'DistributionSelfDefineContentsController@getSubReplyList');
        Route::get('getCurrentReply', 'DistributionSelfDefineContentsController@getCurrentReply');
        Route::any('setSubReply', 'DistributionSelfDefineContentsController@setSubReply');
        
});